Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

List Alerts

Returns all alerts attached to a model endpoint, with pagination support.

GET/serving/inference/{inference_id}/alerts/

Path parameters

  • inference_idPathintegerrequired

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

  • page_noQueryintegeroptional

    Page number for pagination.

  • per_pageQueryintegeroptional

    Number of results per page.

Responses

200Paginated list of alerts attached to the model endpoint.
object
codeinteger
example200
dataarray
errorsobject
messagestring
exampleSuccess
total_page_numberinteger

Total number of pages.

total_countinteger

Total number of attached alerts.